Subject: Re: Feature request: option to not fetch tags for 'git remote' branches

From: Frans Pop <[email-masked]>
Date: Wed, 24 Mar 2010 22:46:15 +0100

On Wednesday 24 March 2010, John Feuerstein wrote:
> > It would be great to be able to tell 'git remote' to skip tags and
> > only fetch the requested branch. A --no-tags option maybe?
> >
> > AFAIK this is currently not possible, although I'd happy to be proven
> > wrong.
>
> have a look at -n, --no-tags provided by git-fetch, ie.
>
> $ git remote add ... foo ...
> $ git fetch -n foo

Thanks John. I'll need to test if that's persistent, or that I'll have
to remember to specify it with each fetch. I guess the option is also 
recognized by 'git remote update'?

Ahh. I've just found 'remote.<name>.tagopt' in 'man git-config'.
I still think it would be nice if that could be set with an option for
'git remote add'. That would make life so much simpler :-)

Cheers,
FJP